%define mname imaging

%define Name Imaging
Name: python-module-%mname
Version: 1.1.6
Release: alt1.1
Summary: Python's own image processing library 

License: %mit
Group: Development/Python
URL: http://www.pythonware.com/products/pil/
Source: http://www.pythonware.com/downloads/%Name-%version.tar.bz2

Provides: python-imaging
Obsoletes: python-imaging <= 1.1.4-alt6

# Automatically added by buildreq on Thu Apr 17 2008
BuildRequires: libfreetype-devel libsane-devel libtiff-devel python-devel python-modules-tkinter tk-devel
BuildRequires: rpm-build-licenses

%description
The Python Imaging Library (PIL) adds image processing capabilities to
your Python interpreter.
This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.


%package devel
Summary: Developers files for python-imaging
Group: Development/Python
BuildArch: noarch

%description devel
The Python Imaging Library (PIL) adds image processing capabilities to
your Python interpreter.
This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.
This package contains developers files for python-imaging.


%package doc
Summary: Documentation and examples for %Name
Group: Documentation
BuildArch: noarch

%description doc
The Python Imaging Library (PIL) adds image processing capabilities to
your Python interpreter.
This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.

Documentation and examples for python-imaging


%package -n python-module-sane
Summary: Python SANE module
Group: Development/Python
Requires: %name = %version-%release

%description -n python-module-sane
The SANE module provides an interface to the SANE scanner and frame
grabber interface for Linux.


%prep
%setup -n %Name-%version


%build
%add_optflags %optflags_shared
%__python setup.py build
cd Sane
%__python setup.py build


%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES
pushd Sane
%__python setup.py install --root=%buildroot --optimize=2
popd

install -d -m 0755 %buildroot{%_sysconfdir/buildreqs/files/ignore.d,%_includedir/python%__python_version,%_docdir/%name-%version/{html,scripts}}
install -m 0644 libImaging/Im*.h %buildroot%_includedir/python%__python_version/
install -m 0644 Docs/* %buildroot%_docdir/%name-%version/html/
install -m 0644 Scripts/* %buildroot%_docdir/%name-%version/scripts/
install -m 0644 CHANGES README %buildroot%_docdir/%name-%version/
echo '^/usr/lib/python[^/]*/site-packages/PIL$' > %buildroot%_sysconfdir/buildreqs/files/ignore.d/%name

%add_python_lib_path %_libdir/python%__python_version/site-packages
%add_python_lib_path %_libdir/python%__python_version/site-packages/PIL


%files
%dir %_docdir/%name-%version
%_docdir/%name-%version/CHANGES
%_docdir/%name-%version/README
%config %_sysconfdir/buildreqs/files/ignore.d/%name
%_bindir/*
%_libdir/python%__python_version/site-packages/PIL*
%exclude %_libdir/python%__python_version/site-packages/PIL/ImageGL.*


%files devel
%_includedir/python%__python_version/*.h


%files doc
%dir %_docdir/%name-%version
%_docdir/%name-%version/html
%_docdir/%name-%version/scripts


%files -n python-module-sane
%_libdir/python%__python_version/site-packages/*.so
%_libdir/python%__python_version/site-packages/sane.*
%_libdir/python%__python_version/site-packages/pysane*


%changelog
* Wed Jun 18 2008 Led <led@altlinux.ru> 1.1.6-alt1.1
- rebuild

* Thu Apr 17 2008 Led <led@altlinux.ru> 1.1.6-alt0.1
- 1.1.6
- cleaned up spec
- fixed License
- build SANE module (subpackage python-module-sane)

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 1.1.4-alt11.1
- Rebuilt with python-2.5.

* Sat Mar 12 2005 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt11
- Rebuild with python2.4

* Thu Dec 09 2004 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt10
- Provide python-imaging added

* Tue Nov 16 2004 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt9
- Some problem with new freetype library fixed

* Fri Jun 18 2004 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt8
- Add PIL directory in search path (because of PIL.pth)

* Tue May 18 2004 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt7
- Rebuild with new python policy

* Wed Apr 14 2004 Gennady Kovalev <gik@altlinux.ru> 1.1.4-alt6
- Fix installing _imagingft.so library

* Sun Nov 30 2003 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt5
- Try to build on py23

* Thu Nov 20 2003 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt4
- Fix build requires and test on python223

* Tue Oct 07 2003 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt3
- Fix build requires: add tcl & tk devel

* Mon May 19 2003 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt2
- Add some fixes of spec-file

* Sun May 18 2003 Andrey Orlov <cray@altlinux.ru> 1.1.4-alt1
- Rebuild package for new version

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.2-alt4
- Added buildreq filter

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.2-alt3
- rebuild with new python

* Wed Jun 27 2001 AEN <aen@logic.ru> 1.1.2-alt2
- some header-files added 

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.2-alt1
- 1.1.2. Rebuilt with python-2.1

* Sun Dec 10 2000 Dmitry V. Levin <ldv@fandra.org> 1.1-ipl4mdk
- Fix out /usr/local.
- Fix building for python version != 1.5.
- Fix Requires.
- Automatically added BuildRequires.

* Wed Nov 29 2000 AEN <aen@logic.ru> 1.1-ipl3mdk
- rebuild for RE
- patch to find-req

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1-2mdk
- Fix FredL's typo

* Wed Sep 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1-1mdk
- 1.1

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0b1-3mdk
- group fix.

* Mon Jan 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for oxygen
- deactivate provinding of tkinter lib since Chmouel one's works perfectly

* Mon Dec 27 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive

* Mon Jan 11 1999 Oliver Andrich <oli@andrich.net>
- upgraded to Imaging 1.0b1

* Sun Dec 27 1998 Oliver Andrich <oli@andrich.net>
- changed Setup file so that the tkinter module is compiled with Tix and BLT
  support

* Mon Jul 20 1998 Oliver Andrich <oli@andrich.net>
- had to recompile and update the package to support the uptodate graphics
  libs

* Sat Jun 07 1998 Oliver Andrich <oli@andrich.net>
- updated package to version 0.3a4
